Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class GroovyForkOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.GroovyForkOptions

    public class GroovyForkOptions
    extends AbstractOptions

Fork options for Groovy compilation. Only take effect if `GroovyCompileOptions.fork` is `true`.

Authors:
  Hans Dockter

Method Summary
`protected List` | `excludedFieldsFromOptionMap()` Internal method.
`List` | `getJvmArgs()` Returns any additional JVM arguments for the compiler process.
`String` | `getMemoryInitialSize()` Returns the initial heap size for the compiler process.
`String` | `getMemoryMaximumSize()` Returns the maximum heap size for the compiler process.
`void` | `setJvmArgs(List jvmArgs)` Sets any additional JVM arguments for the compiler process.
`void` | `setMemoryInitialSize(String memoryInitialSize)` Sets the initial heap size for the compiler process.
`void` | `setMemoryMaximumSize(String memoryMaximumSize)` Sets the maximum heap size for the compiler process.

Methods inherited from class AbstractOptions
define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, optionMap

Method Detail

### excludedFieldsFromOptionMap

    protected List excludedFieldsFromOptionMap()

  Internal method.

### getJvmArgs

    @Input
    @Optional
    public List getJvmArgs()

  Returns any additional JVM arguments for the compiler process. Defaults to the empty list.

### getMemoryInitialSize

    public String getMemoryInitialSize()

  Returns the initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

### getMemoryMaximumSize

    public String getMemoryMaximumSize()

  Returns the maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

### setJvmArgs

    public void setJvmArgs(List jvmArgs)

  Sets any additional JVM arguments for the compiler process. Defaults to the empty list.

### setMemoryInitialSize

    public void setMemoryInitialSize(String memoryInitialSize)

  Sets the initial heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

### setMemoryMaximumSize

    public void setMemoryMaximumSize(String memoryMaximumSize)

  Sets the maximum heap size for the compiler process. Defaults to `null`, in which case the JVM's default will be used.

Gradle API 1.1-rc-1